//Code für Arduino 1 im Adventshaus
#include <SoftwareSerial.h>
#include <Wire.h>
#include <RTClib.h>
RTC_DS1307 rtc;

#define NODE_MAX_NUMBER 2
#define PAYLOAD_SIZE 20  // Adjust the size accordingly

// weitere Geräte : MP3
#include <DFPlayerMini_Fast.h>
SoftwareSerial mySerial(8, 7);  // RX, TX
DFPlayerMini_Fast myMP3;



int monat, tag, stunde, minute, event;  //4 Variablen für Übermittlung an Ardu2
int bild, zeige, ton;                   // für void compose:
int blinkdelay = 0;                     // Für Laterne am Haus...
bool senden = false;                    //steuert die Übergabe der Bildnummer an Ardu2
String event2 = "";
long wecker;
int k = 1;

//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void sendeDaten(int empfaenger, String daten) {
  Serial.println("VOID sendeDaten");
  Wire.beginTransmission(empfaenger);
  Wire.write(daten.c_str());
  Wire.endTransmission();
}
//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void uhrzeit() {
  DateTime now = rtc.now();  //Objekt um RTC-daten zu holen (now. ...)
  monat = now.month();
  tag = now.day();
  stunde = now.hour();
  minute = now.minute();
  //jetzt sind alle Daten in den Variablen... void compose kann auswerten...
}
//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void licht() {
  uhrzeit();  // holt Datum und Zeit von RTC
  if (stunde == 20 && minute == 28) {
    digitalWrite(6, LOW);
    delay(3000);
  }

  if (stunde == 20 && minute == 30) {
    digitalWrite(2, LOW);  // Lichter nacheinander einschalten
    delay(5000);
    digitalWrite(3, LOW);
    delay(5000);
    digitalWrite(4, LOW);
    delay(10000);
    digitalWrite(5, LOW);
    myMP3.play(112);
    delay(2000);
    while (myMP3.isPlaying())
      ;  // warten bis zu Ende abgespielt

    delay(15000);




    compose();  //Abspieln Tagesprogramm
  }
  if (stunde >= 21) {
    Serial.println("Licht aus...");
    digitalWrite(2, HIGH);
    delay(5000);
    digitalWrite(3, HIGH);
    delay(5000);
    digitalWrite(4, HIGH);
    delay(10000);
    digitalWrite(5, HIGH);  //Lichter nacheinander löschen, nur Laterne noch an...
  }
  if (stunde > 23 || stunde < 16) {  //Laterne aus!
    digitalWrite(6, HIGH);
  }
}
//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void lichtAus() {
  digitalWrite(2, HIGH);
  delay(5000);
  digitalWrite(3, HIGH);
  delay(5000);
  digitalWrite(4, HIGH);
  delay(10000);
  digitalWrite(5, HIGH);
}


//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void formatieren() {
  if (senden == true && zeige != 0) {  //void compose hat neue Daten gesetzt, MP3  inaktiv  ... Jetzt an Ardu2 senden...
    // Sendestring zusammenstellen:
    String dataToSend = String(bild) + "," + String(zeige) + "," + String(event) + "," + String(event2);
    // Send the entire string
    // Serial.print("dataToSend :");
    //Serial.println(dataToSend);
    while (zeige == 0)
      ;
    sendeDaten(2, dataToSend);  //2= Node Ardu2 , dataTosend= sendestring 4 Variable
    senden = false;
    zeige = 0;  // Sendung ist raus, jetzt sperren bis void compose wieder neue Daten gesetzt hat
    delay(100);
  }
}
//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void compose() {
  uhrzeit();  // holt Datum und Zeit von RTC
  Serial.print("VOID compose -");
  Serial.print(tag);
  Serial.print("-");
  Serial.println(monat);


  if (monat == 12) {  //Advent ist nur im Dezember


    switch (tag) {
      case 1:
        // abschnitt 1
        bild = 1;
        ton = 1;
        zeige = 1;  //Freigabevariable für Bildanzeige auf dem anderen ArduinoNano
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 2;
        ton = 2;
        zeige = 1;  //Freigabevariable für Bildanzeige 
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 3;
        ton = 3;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 4;
        ton = 4;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        //abschnitt 5
        bild = 5;
        ton = 5;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 2:

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 6;
        ton = 6;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 7;
        ton = 7;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 8;
        ton = 8;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 9;
        ton = 9;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        lichtAus();
        break;
      case 3:

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 10;
        ton = 10;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 11;
        ton = 11;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 12;
        ton = 12;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 13;
        ton = 13;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);

        //abschnitt 4
        bild = 14;
        ton = 14;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 5
        bild = 15;
        ton = 15;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 4:  //Kapitel3

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 16;
        ton = 16;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 17;
        ton = 17;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 18;
        ton = 18;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 19;
        ton = 19;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 5
        bild = 20;
        ton = 20;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 5:  //Kapitel 4

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 21;
        ton = 21;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 22;
        ton = 22;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 23;
        ton = 23;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 24;
        ton = 24;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 5
        bild = 25;
        ton = 25;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 6:  //Kapitel 5

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 26;
        ton = 26;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 27;
        ton = 27;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 28;
        ton = 28;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 29;
        ton = 29;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 5
        bild = 30;
        ton = 30;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespieltdelay(2000);
        //abschnitt 6
        bild = 31;
        ton = 31;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 7
        bild = 32;
        ton = 32;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 33;
        ton = 33;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 7:  //Kapitel6

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 34;
        ton = 34;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 35;
        ton = 35;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 36;
        ton = 36;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 37;
        ton = 37;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 8:  //Kapitel7

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 38;
        ton = 38;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 39;
        ton = 39;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 40;
        ton = 40;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 41;
        ton = 41;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
             //abschnitt 5
        bild = 42;
        ton = 42;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 43;
        ton = 43;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 9:  //Kapitel 8

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 44;
        ton = 44;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 45;
        ton = 45;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 46;
        ton = 46;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 47;
        ton = 47;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 48;
        ton = 48;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 49;
        ton = 49;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 7
        bild = 50;
        ton = 50;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 8
        bild = 51;
        ton = 51;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 9
        bild = 52;
        ton = 52;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 10:  //Kapitel 9

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 53;
        ton = 53;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 54;
        ton = 54;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 55;
        ton = 55;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 56;
        ton = 56;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 57;
        ton = 57;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 11:  //Kapitel  9 B

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 58;
        ton = 58;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 59;
        ton = 59;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 60;
        ton = 60;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;
      case 12:  //Kapitel 10

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 61;
        ton = 61;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 62;
        ton = 62;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 63;
        ton = 63;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 64;
        ton = 64;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 65;
        ton = 65;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 66;
        ton = 66;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 7
        bild = 67;
        ton = 67;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 13:  //Kapitel11

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 68;
        ton = 68;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 69;
        ton = 69;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 70;
        ton = 70;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 71;
        ton = 71;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 72;
        ton = 72;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 73;
        ton = 73;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 7
        bild = 74;
        ton = 74;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 14:  //Kapitel12

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 75;
        ton = 75;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 76;
        ton = 76;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 77;
        ton = 77;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 78;
        ton = 78;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 79;
        ton = 79;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 80;
        ton = 80;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 7
        bild = 81;
        ton = 81;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 4
        bild = 82;
        ton = 82;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 4
        bild = 83;
        ton = 83;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 15:  //Kapitel13

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 84;
        ton = 84;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 85;
        ton = 85;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 86;
        ton = 86;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 4
        bild = 87;
        ton = 87;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 5
        bild = 88;
        ton = 88;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        //abschnitt 6
        bild = 89;
        ton = 89;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 16:  //Kapitel 14

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 90;
        ton = 90;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 91;
        ton = 91;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 92;
        ton = 92;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 17:  //Kapitel 15

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 93;
        ton = 93;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 94;
        ton = 94;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 95;
        ton = 95;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(5000);
        lichtAus();
        break;

      case 18:  //Kapitel 15 Rest

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 96;
        ton = 96;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 97;
        ton = 97;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(5000);
        lichtAus();
        break;

      case 19:  // Kapitel 16

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 98;
        ton = 98;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 99;
        ton = 99;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(5000);
        lichtAus();
        break;

      case 20:  //Kapitel 16 Rest

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 100;
        ton = 100;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 101;
        ton = 101;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 102;
        ton = 102;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(5000);
        lichtAus();
        break;

      case 21:  // Kapitel 17  Weihnachtsabend

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 103;
        ton = 103;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 104;
        ton = 104;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 22:  //Kapitel 15 B

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 105;
        ton = 105;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 106;
        ton = 106;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 3
        bild = 107;
        ton = 107;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 23:  // Kapitel 15 C

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 108;
        ton = 108;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 109;
        ton = 109;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(5000);
        lichtAus();
        break;

      case 24:  // KApitel 15 REST Heiligabend

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 110;
        ton = 110;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        //abschnitt 2
        bild = 111;
        ton = 111;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(2000);
        //abschnitt 2
        bild = 113;
        ton = 113;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt

        delay(20000);
        break;

      case 25:  // erster Weihnachtstag

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 114;
        ton = 115;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);

      case 26:  // zweiter Weihnachtstag

        ;  //warten bis neues Datum!
        // abschnitt 1
        bild = 115;
        ton = 116;
        zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);

      default:

        Serial.println("Weihnachten verpennt?");
        bild = 116;  //Findus
        ton = 114;   // Petterson ist nicht zu Hause !
        zeige = 1;   //Freigabevariable für Bildanzeige auf ardu2
        event = 1;
        event2 = 1;
        senden = true;
        formatieren();
        zeige = 0;
        myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
        delay(1000);
        while (myMP3.isPlaying())
          ;  // warten bis zu Ende abgespielt
        delay(2000);
        lichtAus();
        break;
    }
  } else {
    bild = 116;  //jetzt müsst ihr wieder ein Jahr warten!
    ton = 114;   // der Weihnachtsmann ist nicht zu Hause !
    zeige = 1;   //Freigabevariable für Bildanzeige auf ardu2
    event = 1;
    event2 = 1;
    senden = true;
    formatieren();
    zeige = 0;
    myMP3.play(ton);  //Tonausgabe( Nummer der MP3-Datei...)
    delay(1000);
    while (myMP3.isPlaying())
      ;  // warten bis zu Ende abgespielt
    delay(2000);
    lichtAus();
  }
  zeige = 1;  //Freigabevariable für Bildanzeige auf ardu2
  event = 1;
  event2 = 2;
  senden = true;
  formatieren();
  zeige = 0;
}



//°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°
void starten() {
  digitalWrite(6, LOW);
  Serial.println("Startsequenz");
  Serial.println("Aschenbrödel");
  myMP3.play(112);
  delay(1000);
  while (myMP3.isPlaying())
    ;  // warten bis zu Ende abgespielt

  digitalWrite(2, LOW);  // Lichter nacheinander einschalten
  delay(1000);
  digitalWrite(3, LOW);
  delay(1000);
  digitalWrite(4, LOW);
  delay(1000);
  digitalWrite(5, LOW);

  Serial.println("Start Tagesprogramm");
  compose();
  k = 1;
}




void setup() {
  pinMode(11, INPUT_PULLUP);  // Türklingel

  pinMode(2, OUTPUT);  //innenlicht 1 3mA
  pinMode(3, OUTPUT);  //innenlicht 2 3mA
  pinMode(4, OUTPUT);  //innenlicht 3 3mA
  pinMode(5, OUTPUT);  //innenlicht 4 3mA
  pinMode(6, OUTPUT);  //Laterne 3mA

  Serial.begin(115200);
  Wire.begin();
  mySerial.begin(9600);
  myMP3.begin(mySerial, true);
  delay(100);
  myMP3.volume(27);

  if (!rtc.begin()) {
    Serial.println("Couldn't find RTC");
    Serial.flush();
    while (1) delay(10);
  }

  if (!rtc.isrunning()) {
    Serial.println("RTC ist inaktiv! Zeit einstellen! Arduino1 an USB, Arduino IDE starten!");
    Serial.println("Board Arduino NANO old bootloader ");
    Serial.println("Code hier unter dieser Zeile auskommentieren, Sketch hochladen, fertig...");

    //rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));
  }
  digitalWrite(2, HIGH);
  digitalWrite(3, HIGH);
  digitalWrite(4, HIGH);
  digitalWrite(5, HIGH);
  digitalWrite(6, HIGH);  //erst mal alle Lichter aus...
}




void loop() {
  k = digitalRead(11);
  Serial.println(k);
  delay(1000);
  if (k == 0) {
    Serial.println("Programmstart");
    starten();
    k = 1;
  }



  if (millis() - wecker > 120000) {
    licht();
    wecker = millis();
  }
}
